@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;

  ::ng-deep {
    // thumb
    .ps__thumb-x,
    .ps__thumb-y {
      background-color: rgba($havelock-blue, 0.3);
    }

    // thumb y focus
    .ps__rail-y.ps--clicking .ps__thumb-y,
    .ps__rail-y:focus > .ps__thumb-y,
    .ps__rail-y:hover > .ps__thumb-y {
      background-color: rgba($havelock-blue, 0.3);
    }

    // thumb x focus
    .ps__rail-x.ps--clicking .ps__thumb-x,
    .ps__rail-x:focus > .ps__thumb-x,
    .ps__rail-x:hover > .ps__thumb-x {
      background-color: rgba($havelock-blue, 0.3);
    }

    // track
    .ps .ps__rail-x.ps--clicking,
    .ps .ps__rail-x:focus,
    .ps .ps__rail-x:hover,
    .ps .ps__rail-y.ps--clicking,
    .ps .ps__rail-y:focus,
    .ps .ps__rail-y:hover {
      background-color: transparent;
    }

    // track focus
    perfect-scrollbar > .ps.ps--scrolling-x > .ps__rail-x,
    perfect-scrollbar > .ps.ps--scrolling-y > .ps__rail-y {
      background-color: transparent;
    }
  }
}
